A sample API for educational demonstration by Minae Lee
View source View client View OpenAPI in YAML View OpenAPI in JSON Return to companion pagehttps://highscores-api.glitch.me| HTTP Method | Path | Description |
|---|---|---|
GET | /highscores | Retrieve all high scores |
GET | /highscore/{id} | Retrieve one high score by ID |
POST | /highscores | Add a new high score |
PATCH | /highscores/{id} | Update a high score |
PUT | /highscore/{id} | Replace a high score |
DELETE | /highscore/{id} | Delete one high score by ID |
DELETE | /highscores/{id} | Delete all high scores |
Use cURL commands to send test HTTP requests to endpoints.
curl https://highscores-api.glitch.me/highscorescurl https://highscores-api.glitch.me/highscore/1curl -X POST -H "Content-Type: application/json" -d "{\"name\": \"Player1\", \"score\": 100}" https://highscores-api.glitch.me/highscorecurl -X POST -H "Content-Type: application/json" -d '{"name": "Player1", "score": 100}' https://highscores-api.glitch.me/highscorecurl -X PATCH -H "Content-Type: application/json" -d "{\"score\": 150}" "https://highscores-api.glitch.me/highscore/1"curl -X PATCH -H "Content-Type: application/json" -d '{"score": 150}' https://highscores-api.glitch.me/highscore/1curl -X DELETE https://highscores-api.glitch.me/highscore/1